### Method

# GtkSource Language get_id

#### Declaration [src]

    const gchar*
    gtk_source_language_get_id (
      GtkSourceLanguage* language
    )

#### Description [src]

Returns the ID of the language.

The ID is not locale-dependent.The returned string is owned by `language` and should not be freed or modified.

Gets property | `GtkSource.Language:id`

#### Return value

Type: `const gchar*`

The ID of `language`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.